/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
module.exports = [
  '$http',
  '$log',
  function FileServices(
  $http,
  $log
){
  'use strict';

  var svc = this;

  svc.getListByPath = function(path) {
    return $http.get('/fs/readdir', { params: path })
      .then(function(data){
        var files = data.data;

        files.files = _.orderBy(files.files, ['type', 'path'], ['asc', 'asc']);

        //handle case where there is no name, we use path for name
        files.parents = files.parents.map(function(item){
          if ( !item.name ) {
            item.name = item.path;
          }

          return item;
        });

        if (files.parents.length) {
          files.parents[0].name = 'root';
        }

        return files;
      })
      .catch(function(err){
        $log.error(err);
        return err;
      });
  };

  return svc;
}];

