/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
module.exports = [
  '$scope',
  '$log',
  function NodeItemController(
    $scope,
    $log
  ) {
  'use strict';

  $scope.showChildNodes = true;

  $scope.$watch('root.currentNode', checkChildNodes, true);

  $scope.getFilesAndSelectNode = function($event, node){
    if (!$scope.showChildNodes) return;

    if (!node.files || (node.files.files && !node.files.files.isOpen)) {
      $scope.root.getFiles(node);
    }

    $scope.root.selectNode($event, node, true);
  };

  $scope.getFiles = function(node){
    if (!$scope.showChildNodes) return;
    $scope.root.getFiles(node);
  };

  $scope.selectNode = function($event, node){
    // don't allow user to select an existing loopback project path when creating a new project
    if ($scope.root.projectsFilepicker.flow !== 'add-existing' && node.isLoopback ) {
      return;
    }

    $scope.root.selectNode($event, node);
  };

  function checkChildNodes(){
    $scope.showChildNodes = !$scope.node.isLoopback;
  }
}];

