/********************************************************* {COPYRIGHT-TOP} ***
 * Licensed Materials - Property of IBM
 * 5725-Z22, 5725-Z63, 5725-U33, 5725-Z63
 *
 * (C) Copyright IBM Corporation 2017
 *
 * All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ********************************************************** {COPYRIGHT-END} **/
module.exports = [
  '$log',
  '$state',
  function ProjectItemDirective(
    $log,
    $state
  ) {
  'use strict';

  return {
    restrict: 'E',
    scope: {
      project: '='
    },
    template: require('./partials/project-item.html'),
    controller: [
      '$scope',
      '$rootScope',
      '$localStorage',
      'ProjectsServices',
      function ProjectItemDirectiveController(
        $scope,
        $rootScope,
        $localStorage,
        ProjectsServices
      ) {
      $scope.deleteProject = function(project) {
        ProjectsServices.deleteProject(project)
          .then(function(result) {
            //todo message UI about successful deletion
            $log.log('project %s deleted', project.displayName);
            $rootScope.$emit('event:getProjects');
          });
      };

      $scope.setCurrentProject = function(project) {
        ProjectsServices.setProjectEnvironment(project)
          .then(function(result) {
            $rootScope.activeProject = result;
            $state.go('apis');
          });
      };
    }]
  }
}];

